package aop.example;

import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import aop.example.model.Album;
import aop.example.model.User;

/**
 * Сервлет обрабатывющий логин
 * @author Zubairov Renat
 */
public class LoginServlet extends HttpServlet {

	/**
	 * Empty constructor 
	 */
	public LoginServlet() {
		super();
	}
	
	/**
	 * Устанавливаем пользователя в один из 2х заранее предопределённых
	 * пользователей в зависимости от параметра action
	 * либо если никакой параметр не передан, то удаляем из сессии текущего
	 * пользователя (logout)
	 * @see javax.servlet.http.HttpServlet#doGet(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */
	protected void doGet(HttpServletRequest req, HttpServletResponse resp)
		throws ServletException, IOException {
		String action = req.getParameter("action");
		if (action != null) {
			if (action.equals("user1")) {
				req.getSession().setAttribute(EntranceFilter.USER_KEY, new User("user1"));
			} else {
				req.getSession().setAttribute(EntranceFilter.USER_KEY, new User("user2"));
			}
		} else {
			req.getSession().removeAttribute(EntranceFilter.USER_KEY);
		}
		resp.sendRedirect("view");
	}


}
